Index: provider/shipping_rates.php
--- provider/shipping_rates.php	2011-07-18 16:08:44.000000000 +0400
+++ provider/shipping_rates.php	2011-09-20 14:43:00.000000000 +0400
@@ -124,10 +124,10 @@
                     'maxweight'        => func_convert_number($v['maxweight']),
                     'mintotal'        => func_convert_number($v['mintotal']),
                     'maxtotal'        => func_convert_number($v['maxtotal']),
-                    'rate'            => func_convert_number($v['rate']),
-                    'item_rate'        => func_convert_number($v['item_rate']),
+                    'rate'            => func_convert_number($v['rate'], '3.'),
+                    'item_rate'        => func_convert_number($v['item_rate'], '3.'),
                     'rate_p'        => func_convert_number($v['rate_p']),
-                    'weight_rate'    => func_convert_number($v['weight_rate']),
+                    'weight_rate'    => func_convert_number($v['weight_rate'], '3.'),
                 );
 
                 func_array2update('shipping_rates', $query_data, $upd_condition);
@@ -158,12 +158,13 @@
                 'shippingid'    => $shippingid_new,
                 'minweight'        => func_convert_number($minweight_new),
                 'maxweight'        => func_convert_number($maxweight_new),
+                'maxamount'        => func_convert_number($maxamount_new),
                 'mintotal'        => func_convert_number($mintotal_new),
                 'maxtotal'        => func_convert_number($maxtotal_new),
-                'rate'            => func_convert_number($rate_new),
-                'item_rate'        => func_convert_number($item_rate_new),
+                'rate'            => func_convert_number($rate_new, '3.'),
+                'item_rate'        => func_convert_number($item_rate_new, '3.'),
                 'rate_p'        => func_convert_number($rate_p_new),
-                'weight_rate'    => func_convert_number($weight_rate_new),
+                'weight_rate'    => func_convert_number($weight_rate_new, '3.'),
                 'provider'        => $logged_userid,
                 'zoneid'        => $zoneid_new,
                 'type'            => $type,
Index: skin/common_files/provider/main/shipping_rates.tpl
--- skin/common_files/provider/main/shipping_rates.tpl	2010-07-21 15:58:50.000000000 +0400
+++ skin/common_files/provider/main/shipping_rates.tpl	2011-09-20 14:42:32.000000000 +0400
@@ -127,7 +127,7 @@
 <input type="text" name="posted_data[{$shipping_rate.rateid}][maxweight]" size="9" value="{$shipping_rate.maxweight|formatprice}" />
   </td>
   <td>{$lng.lbl_flat_charge} ({$config.General.currency_symbol}):</td>
-  <td nowrap="nowrap"><input type="text" name="posted_data[{$shipping_rate.rateid}][rate]" size="5" value="{$shipping_rate.rate|formatprice}" /></td>
+  <td nowrap="nowrap"><input type="text" name="posted_data[{$shipping_rate.rateid}][rate]" size="5" value="{$shipping_rate.rate|string_format:"%.3f"}" /></td>
   <td>{$lng.lbl_percent_charge}:</td>
   <td><input type="text" name="posted_data[{$shipping_rate.rateid}][rate_p]" size="5" value="{$shipping_rate.rate_p|formatprice}" /></td>
 </tr>
@@ -140,9 +140,9 @@
 <input type="text" name="posted_data[{$shipping_rate.rateid}][maxtotal]" size="9" value="{$shipping_rate.maxtotal|formatprice}" />
   </td>
   <td>{$lng.lbl_per_item_charge} ({$config.General.currency_symbol}):</td>
-  <td nowrap="nowrap"><input type="text" name="posted_data[{$shipping_rate.rateid}][item_rate]" size="5" value="{$shipping_rate.item_rate|formatprice}" /></td>
+  <td nowrap="nowrap"><input type="text" name="posted_data[{$shipping_rate.rateid}][item_rate]" size="5" value="{$shipping_rate.item_rate|string_format:"%.3f"}" /></td>
   <td>{$lng.lbl_per_weight_charge|substitute:"weight":$config.General.weight_symbol} ({$config.General.currency_symbol}):</td>
-  <td nowrap="nowrap"><input type="text" name="posted_data[{$shipping_rate.rateid}][weight_rate]" size="5" value="{$shipping_rate.weight_rate|formatprice}" /></td>
+  <td nowrap="nowrap"><input type="text" name="posted_data[{$shipping_rate.rateid}][weight_rate]" size="5" value="{$shipping_rate.weight_rate|string_format:"%.3f"}" /></td>
 </tr>
 
 {if not %rate.last%}
@@ -253,7 +253,7 @@
 <input type="text" name="maxweight_new" size="9" value="{$maxvalue|formatprice}" />
   </td>
   <td><b>{$lng.lbl_flat_charge} ({$config.General.currency_symbol}):</b></td>
-  <td nowrap="nowrap"><input type="text" name="rate_new" size="5" value="{0|formatprice}" /></td>
+  <td nowrap="nowrap"><input type="text" name="rate_new" size="5" value="{0|string_format:"%.3f"}" /></td>
   <td><b>{$lng.lbl_percent_charge}:</b></td>
   <td><input type="text" name="rate_p_new" size="5" value="{0|formatprice}" /></td>
 </tr>
@@ -266,9 +266,9 @@
 <input type="text" name="maxtotal_new" size="9" value="{$maxvalue|formatprice}" />
   </td>
   <td><b>{$lng.lbl_per_item_charge} ({$config.General.currency_symbol}):</b></td>
-  <td nowrap="nowrap"><input type="text" name="item_rate_new" size="5" value="{0|formatprice}" /></td>
+  <td nowrap="nowrap"><input type="text" name="item_rate_new" size="5" value="{0|string_format:"%.3f"}" /></td>
   <td><b>{$lng.lbl_per_weight_charge|substitute:"weight":$config.General.weight_symbol} ({$config.General.currency_symbol}):</b></td>
-  <td nowrap="nowrap"><input type="text" name="weight_rate_new" size="5" value="{0|formatprice}" /></td>
+  <td nowrap="nowrap"><input type="text" name="weight_rate_new" size="5" value="{0|string_format:"%.3f"}" /></td>
 </tr>
 
 </table>
